import 'package:flutter/cupertino.dart';
import 'package:info_tren/components/cupertino_divider.dart';
import 'package:info_tren/components/select_train_suggestions/select_train_suggestions.dart';
import 'package:info_tren/models/train_operator_lines.dart';

class SelectTrainSuggestionsStateCupertino extends SelectTrainSuggestionsState {
  @override
  Widget getUseCurrentInputWidget(String currentInput, void Function(String) onTrainSelected) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        Padding(
          padding: const EdgeInsets.all(0),
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: <Widget>[
              CupertinoButton(
                child: Text(getUseCurrentInputWidgetText(currentInput)),
                onPressed: () => onTrainSelected(currentInput),
              ),
            ],
          )
        ),
        CupertinoDivider(),
      ],
    );
  }
}

class OperatorAutocompleteTileCupertino extends OperatorAutocompleteTile {
  OperatorAutocompleteTileCupertino({
    Key? key, 
    required String operatorName, 
    required void Function(String) onTrainSelected, 
    required TrainOperatorTrainDescription train
  }): super(
    onTrainSelected: onTrainSelected,
    operatorName: operatorName,
    train: train,
    key: key,
  );

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        GestureDetector(
          onTap: () {
            onTrainSelected(train.number);
          },
          child: Padding(
            padding: const EdgeInsets.fromLTRB(16, 4, 16, 4),
            child: SizedBox(
              width: double.infinity,
              child: Column(
                mainAxisSize: MainAxisSize.min,
                crossAxisAlignment: CrossAxisAlignment.stretch,
                children: <Widget>[
                  Text(
                    operatorName,
                    style: CupertinoTheme.of(context).textTheme.textStyle.copyWith(fontSize: 10, fontWeight: FontWeight.w200),
                    textAlign: TextAlign.left,
                  ),
                  Text(
                    "${train.rang} ${train.number}",
                    textAlign: TextAlign.left,
                  ),
                ],
              ),
            ),
          ),
        ),
        CupertinoDivider(),
      ],
    );
  }
}
