import 'package:flutter/material.dart';
import 'package:info_tren/components/select_train_suggestions/select_train_suggestions.dart';
import 'package:info_tren/models/train_operator_lines.dart';

class SelectTrainSuggestionsStateMaterial extends SelectTrainSuggestionsState {
  @override
  Widget getUseCurrentInputWidget(String currentInput, void Function(String) onTrainSelected) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        ListTile(
          title: Text(getUseCurrentInputWidgetText(currentInput)),
          onTap: () {
            onTrainSelected(currentInput);
          },
        ),
        Divider(),
      ],
    );
  }
}

class OperatorAutocompleteTileMaterial extends OperatorAutocompleteTile {
  OperatorAutocompleteTileMaterial({
    Key? key, 
    required String operatorName, 
    required void Function(String) onTrainSelected, 
    required TrainOperatorTrainDescription train
  }): super(
    onTrainSelected: onTrainSelected,
    operatorName: operatorName,
    train: train,
    key: key,
  );

  @override
  Widget build(BuildContext context) {
    return ListTile(
      dense: true,
      title: Text("${train.rang} ${train.number}"),
      subtitle: Text(operatorName),
      onTap: () {
        onTrainSelected(train.number);
      },
    );
  }
}
