import 'package:flutter/material.dart';

class SlimAppBar extends StatelessWidget {
  final String title;
  final double size;
  // final Function onBackTap;

  SlimAppBar({
    required this.title, 
    this.size = 24,
    // this.onBackTap,
  });

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      height: size,
      child: Container(
        color: 
          Theme.of(context).appBarTheme.backgroundColor ??
          Theme.of(context).primaryColor,
        child: InkWell(
          onTap: (ModalRoute.of(context)?.canPop ?? false) 
            ? () => Navigator.of(context).pop() 
            : null,
          child: Row(
            mainAxisSize: MainAxisSize.max,
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: <Widget>[
              Container(
                height: size,
                width: size,
                child: (ModalRoute.of(context)?.canPop ?? false)
                  ? BackButtonIcon()
                  : null,
              ),
              Expanded(
                child: Center(
                  child: Padding(
                    padding: const EdgeInsets.all(2),
                    child: Text(
                      title,
                      textAlign: TextAlign.center,
                      style: 
                        Theme.of(context).appBarTheme.textTheme?.caption?.copyWith(color: Theme.of(context).appBarTheme.textTheme?.bodyText2?.color) ??
                        Theme.of(context).textTheme.caption?.copyWith(color: Theme.of(context).textTheme.bodyText2?.color),
                    ),
                  ),
                ),
              ),
              Container(
                height: size,
                width: size,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
