import 'package:flutter/widgets.dart';
import 'package:info_tren/models/ui_design.dart';
import 'package:info_tren/pages/station_arrdep_page/select_station/select_station_cupertino.dart';
import 'package:info_tren/pages/station_arrdep_page/select_station/select_station_material.dart';
import 'package:info_tren/utils/default_ui_design.dart';

class SelectStationPage extends StatefulWidget {
  final UiDesign? uiDesign;

  const SelectStationPage({ Key? key, this.uiDesign }) : super(key: key);

  static String routeName = '/stationArrDep/selectStation';

  @override
  SelectStationPageState createState() {
    final uiDesign = this.uiDesign ?? defaultUiDesign;
    switch (uiDesign) {
      case UiDesign.MATERIAL:
        return SelectStationPageStateMaterial();
      case UiDesign.CUPERTINO:
        return SelectStationPageStateCupertino();
    }
  }
}

abstract class SelectStationPageState extends State<SelectStationPage> {
  final TextEditingController textEditingController = TextEditingController();

}
